API Reference

Module Vocabularies

54 endpoints· Auth: JWT or API Key
get/api/v1/console/delivery/channel-types JWT API Key

Get channel-types

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/delivery/channel-types JWT API Key

Create channel-types

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/delivery/channel-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/delivery/channel-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/delivery/channel-types/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/delivery/channel-types/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/channel-types/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/hr/document-types JWT API Key

Get document-types

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/document-types" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/document-types JWT API Key

Create document-types

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/document-types" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/hr/document-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/document-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/hr/document-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/hr/document-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/hr/document-types/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/document-types/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/document-types/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/document-types/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/hr/leave-types JWT API Key

Get leave-types

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/leave-types JWT API Key

Create leave-types

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/hr/leave-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/hr/leave-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/hr/leave-types/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/leave-types/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/leave-types/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/hr/violation-types JWT API Key

Get violation-types

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/violation-types JWT API Key

Create violation-types

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/hr/violation-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/hr/violation-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/hr/violation-types/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/hr/violation-types/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/violation-types/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/units JWT API Key

Get units

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/units" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/units JWT API Key

Create units

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/units" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/inventory/units/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/inventory/units/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/inventory/units/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/inventory/units/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/inventory/units/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/inventory/units/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/units/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/units/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/variance-reasons JWT API Key

Get variance-reasons

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/variance-reasons JWT API Key

Create variance-reasons

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/inventory/variance-reasons/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/inventory/variance-reasons/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/inventory/variance-reasons/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/variance-reasons/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/variance-reasons/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/production/capacity-types JWT API Key

Get capacity-types

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/production/capacity-types JWT API Key

Create capacity-types

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/production/capacity-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/production/capacity-types/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/production/capacity-types/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/production/capacity-types/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/capacity-types/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/settings/payment-methods JWT API Key

Get payment-methods

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/payment-methods JWT API Key

Create payment-methods

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/settings/payment-methods/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/settings/payment-methods/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/settings/payment-methods/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/payment-methods/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/payment-methods/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/settings/revoke-reasons JWT API Key

Get revoke-reasons

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/revoke-reasons JWT API Key

Create revoke-reasons

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
put/api/v1/console/settings/revoke-reasons/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/settings/revoke-reasons/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/settings/revoke-reasons/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/revoke-reasons/{id}/active JWT API Key

Create active

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/revoke-reasons/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu